# Retrieve a specific product group's bundle data.

Retrieve a specific product group's bundle data.

Endpoint: GET /store/bundles/groups/{group_id}
Version: 2.0.0

## Path parameters:

  - `group_id` (integer, required)
    Product Group ID

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (integer, required)
    Example: 123

  - `data.name` (string,null)
    Example: "Shared web hosting"

  - `data.description` (string,null)

  - `data.icon` (string,null)
    Example: "fa-solid"

  - `data.headline` (string,null)
    Example: "Headline"

  - `data.tagline` (string,null)
    Example: "Tagline"

  - `data.order` (integer)
    The display order of the group as configured in the application.
    Example: 123

  - `data.features` (array)

  - `data.features.id` (integer, required)
    Example: 123

  - `data.features.name` (string,null, required)
    Example: "Shared web hosting"

  - `data.features.description` (string,null)

  - `data.features.order` (integer, required)
    Example: 123

  - `data.bundles` (array)

  - `data.bundles.id` (integer, required)
    Example: 123

  - `data.bundles.name` (string,null)
    Example: "Shared web hosting"

  - `data.bundles.description` (string,null)

  - `data.bundles.price` (object, required)

  - `data.bundles.price.value` (string, required)
    Example: "19.99"

  - `data.bundles.price.code` (string, required)
    Example: "USD"

  - `data.bundles.price.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.bundles.price.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.bundles.price.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

  - `data.bundles.max_uses` (integer)

  - `data.bundles.uses` (integer)

  - `data.bundles.allow_promo` (boolean)

  - `data.bundles.is_featured` (boolean)

  - `data.bundles.bundle_items` (any) — one of:
    - BundleItemDomain:
      - `id` (integer, required)
        Example: 123
      - `name` (string,null)
        Example: "Shared web hosting"
      - `description` (string,null)
      - `bundle_type` (string)
        Enum: "domain"
      - `tlds` (array,null)
        Example: [".com"]
      - `registration_period` (integer)
      - `price_override` (boolean)
      - `price` (object)
      - `price.value` (string, required)
        Example: "19.99"
      - `price.code` (string, required)
        Example: "USD"
      - `price.display_value` (string, required)
        Example: "$19.99 USD"
      - `price.prefix` (string, required)
        Optional currency prefix
        Example: "$"
      - `price.suffix` (string, required)
        Optional currency prefix
        Example: " USD"
      - `addons` (array,null)
        Enum: "dnsmanagement", "emailforwarding", "idprotection"
    - BundleItemProduct:
      - `id` (integer, required)
        Example: 123
      - `name` (string,null)
        Example: "Shared web hosting"
      - `description` (string,null)
      - `bundle_type` (string)
        Enum: "product"
      - `billing_cycle` (string,null)
        Billing cycle's frequency.
        Enum: "free", "onetime", "monthly", "quarterly", "semiannually", "annually", "biennially", "triennially"
      - `price_override` (boolean)
      - `price` (object)
      - `price.value` (string, required)
        Example: "19.99"
      - `price.code` (string, required)
        Example: "USD"
      - `price.display_value` (string, required)
        Example: "$19.99 USD"
      - `price.prefix` (string, required)
        Optional currency prefix
        Example: "$"
      - `price.suffix` (string, required)
        Optional currency prefix
        Example: " USD"
      - `config_option` (array,null)
      - `config_option.id` (any)
        Configurable Option ID
      - `config_option.value` (any,null)
        Configuration Option Value
      - `addons` (array,null)
      - `tlds` (array,null)
        Example: [".com"]
      - `domain_registration_period` (integer)
      - `domain_price_override` (boolean)
      - `domain_price` (object)
      - `domain_addons` (array,null)
        Enum: same as `addons` in "BundleItemDomain" (3 values)

  - `data.bundles.group` (object)

  - `data.bundles.group.id` (integer, required)
    Example: 123

  - `data.bundles.group.name` (string,null)
    Example: "Shared web hosting"

  - `data.bundles.group.description` (string,null)

  - `data.bundles.group.icon` (string,null)
    Example: "fa-solid"

  - `data.bundles.group.headline` (string,null)
    Example: "Headline"

  - `data.bundles.group.tagline` (string,null)
    Example: "Tagline"

  - `data.bundles.group.order` (integer)
    The display order of the group as configured in the application.
    Example: 123

  - `data.bundles.group.features` (array)

## Response 404 fields (application/json):

  - `message` (string)


